Skip to content

Check transaction limits

Request

🔒 Private label — contact sales. Requires a private-label entitlement on your API client.

Check transaction limits

Security
oauth2ClientCredentials(Required scopes: wallet-policies:write)
Headers
business_idstringrequired

Business identifier for the request

Bodyapplication/jsonrequired
employee_idstringrequired

Employee ID to check limits for

wallet_idstringrequired

Wallet ID to check limits on

amountnumberrequired

Transaction amount to validate

Example:75000
curl -i -X POST \
  https://developer.boyahq.com/_mock/v2/openapi/wallet-policies/check-limits \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'business_id: string' \
  -d '{
    "employee_id": "string",
    "wallet_id": "string",
    "amount": 75000
  }'

Responses

Limits check completed

Bodyapplication/json
allowedbooleanrequired

Whether transaction is within limits

reasonstringrequired

Reason for the result

requires_approvalbooleanrequired

Whether approval is required for this amount

Response
{ "allowed": true, "reason": "string", "requires_approval": true }